Please select Into the mobile phone version | Continue to access the computer ver.
New firmware for Inspire 1 series (1.8.1.00)
1234Next >
15397 140 2016-4-7
Uploading and Loding Picture ...(0/1)
o(^-^)o
0979
lvl.1

United Kingdom
Offline

kaleel@kaleelzi Posted at 2016-4-11 12:28
Has anyone yet successfully updated their Inspire 1 RAW X5R?

I accidentally updated the controller  ...

Ensure you navigate to inspire pro or pro/raw firmware page. Sounds like you have the basic inspire firmware.
2016-4-11
Use props
kaleel
lvl.1
Flight distance : 3724 ft
United Kingdom
Offline

0979 Posted at 2016-4-11 16:47
Ensure you navigate to inspire pro or pro/raw firmware page. Sounds like you have the basic inspir ...

Aha! I had no idea it had it's own page :-D Ok yes I see there's a slightly different version for the RAW. I'll try that. Thanks for the help.
2016-4-11
Use props
rob1098
lvl.1

United Kingdom
Offline

I made the same mistake and updated my Inspire at the field while the transmitter was turned on, looking at the software versions I have 1.08 on the aircraft and 1.06 on the tx . I now have lost RC connection with the aircraft , can any body help please ???
2016-4-11
Use props
rob1098
lvl.1

United Kingdom
Offline

Sorry 1.8 and 1.6
2016-4-11
Use props
airymok
lvl.4
Flight distance : 2623652 ft
Hong Kong
Offline

rob1098 Posted at 2016-4-12 03:38
I made the same mistake and updated my Inspire at the field while the transmitter was turned on, loo ...

Downgrade your RC firmware first.
2016-4-11
Use props
rob1098
lvl.1

United Kingdom
Offline

So I have to downgrade my transmitter and then the aircraft ? Then upgrade the aircraft to 1.8.1 and then upgrade the Transmitter back to 1.6 ??? I take it the aircraft can be done via the firmware download and again for the transmitter using a dongle with the same lower software ?
2016-4-11
Use props
dom4
lvl.1
France
Offline

Hello everyone,

I made the same mistake by making the update of the RC before the drone.
And now I'm traveling mode and the RC is no longer connected to the drone.

By reading you, I understood that it was downgraded version of the RC by going to the hat in the app.

The problem is that when I go to the party degraded, no version appears and it puts me "no version available"

I'm sorry to ask you again for help but someone would have a solution?

thank you
2016-4-12
Use props
mika.huisman
lvl.1

Finland
Offline

I have Inspire 1 Pro and X5R.  I did upload Firmware 01.08.00.90 but the Go app tells me again I should upgrade the firmware (aircraft and battery). I have tried to install the firmware again without success. Go tells me I have these versions: App: 2.7.1 / Aircraft 1.7.00.90+ / RC 1.5.80 / Camera 1.8.0.90 / FPGA 01.15.13.09. Are the up to date versions (except the RC of which I have not updated yet as I want to be sure everything else is up to date)?
2016-4-12
Use props
dom4
lvl.1
France
Offline

RichJ53 Posted at 2016-4-9 02:00
downgrade video

https://youtu.be/3OYajs-xmJ4

Hi Rich,

I tried this technique but when I go to the downgrade party, older versions do not appear.

Screenshot_2016-04-12-14-30-57.jpg
2016-4-12
Use props
pocketpc_ebay
lvl.2

France
Offline

This update killed my Inspire 1 !!!!!!

I have an Inspire 1 /X5 ..... after update : no communication between the RC and the aircraft.....the  X5 do not response !
Again... Thanx DJI  !!!!
2016-4-12
Use props
Donnie
Captain
Flight distance : 3636782 ft
United States
Offline

dom4 Posted at 2016-4-12 07:39
Hi Rich,

I tried this technique but when I go to the downgrade party, older versions do not appea ...

Make sure you have a wi- fi connection available  do not use a cellular network if you can avoid it .  It is much more stabel with a fixed wi fi connection
Also do you have the Transmitter on and connected to the Go App ?  

donnie


2016-4-12
Use props
Donnie
Captain
Flight distance : 3636782 ft
United States
Offline

dom4 Posted at 2016-4-12 07:39
Hi Rich,

I tried this technique but when I go to the downgrade party, older versions do not appea ...
Watch the video  as well may help
donnie

2016-4-12
Use props
rob1098
lvl.1

United Kingdom
Offline

Came home from work and switched all on and everything now seems to working as it should ! Transmitter on 1.6 and update on aircraft 1.8.1 so I'm really not sure what happened ! Quick hover in the garden and all seems ok. Next upgrade is the X5 gimbal and camera lens etc .
2016-4-12
Use props
RuneWold
lvl.4
Flight distance : 1802270 ft
Norway
Offline

Hi Tim.
sorry to message you here but I seem to have lost your email. I need to send you a personal mail.
Encrypted "About the trip down from Scandinavia this week" :-D

Can you email me? Just use runewold (at) gmail.com

R:-)
2016-4-12
Use props
Perfusion
lvl.1
Flight distance : 88602 ft
United States
Offline

SteveWoods Posted at 2016-4-8 02:32
Like an idiot I managed to upgrade the RC and try to link. Didnt know about any issues with this. An ...

i did the same thing too! HELP!!
2016-4-12
Use props
AlaskaDrone
lvl.2

United States
Offline

Not sure how to read the "update results" from the SD card. It state so much information, I don't know whether to read it from the bottom, or the top.
This is what it says after I deleted all the information, reinstalled the update, then went back to the "results." Could someone teach me what the following is saying?
elete history success.

Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the aircraft.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.06.00.40.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the aircraft.

========== 2016.02.27 20:13:43 =====================
Packet: WM610_FW_V01.06.00.40.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the aircraft.

========== 2016.03.04 18:14:40 =====================
Packet: WM610_FW_V01.06.00.40.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the aircraft.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.06.00.40.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the aircraft.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...

========== 2016.03.26 14:57:53 =====================
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...

========== 2016.03.26 15:23:50 =====================
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...

========== 2016.03.26 15:45:08 =====================
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...

========== 2016.03.26 15:55:56 =====================
Packet: WM610_FW_V01.07.00.90.bin
Upgrading ...
Result: Success.

========== 2016.03.26 16:07:00 =====================
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2016.03.26 16:10:06 =====================
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2016.03.26 16:15:23 =====================
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2016.03.26 16:56:53 =====================
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2016.03.26 20:05:12 =====================
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2016.03.26 20:25:30 =====================
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.07.00.90.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.08.01.00.bin
Upgrading ...

========== 2014.01.01 00:00:17 remo-con disconnect======
Packet: WM610_FW_V01.08.01.00.bin
Upgrading ...

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.08.01.00.bin
Upgrading ...
Result: Success.

========== 2014.01.01 00:00:07 remo-con disconnect======
Packet: WM610_FW_V01.08.01.00.bin
Upgrading ...
Result: Success.

========== 2014.01.01 00:00:07 remo-con disconnect======
Packet: WM610_FW_V01.08.01.00.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:07 remo-con disconnect======
Packet: WM610_FW_V01.08.01.00.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.
2016-4-12
Use props
sthuemmel
Second Officer
Flight distance : 1749321 ft
United States
Offline

AlaskaDrone Posted at 2016-4-12 21:46
Not sure how to read the "update results" from the SD card. It state so much information, I don't kn ...

this is all your updates.
The aborted versions are because the update succeeded.
So you are fully updated to v01.08.01.00
2016-4-12
Use props
RichJ53
Captain
Flight distance : 1788284 ft
  • >>>
United States
Offline

dom4 Posted at 2016-4-12 05:39
Hi Rich,

I tried this technique but when I go to the downgrade party, older versions do not appea ...

Sorry man, I guess if you are still having problems... please look at the links on Donnie's threads that can help. grab the BIN file and manually update (downgrade) the remote. I think we have several threads all talking about the same issue and the links are almost in all of them.

Rich
2016-4-12
Use props
Kaleel
lvl.1
Flight distance : 3724 ft
United Kingdom
Offline

I've now upgraded the Inspire 1 RAW aircraft and RC but it still says I need to update the battery. I thought the update was an all in one. Am I missing something? Simply repeating the upgrade process didn't change anything.
2016-4-13
Use props
Joko
First Officer
Flight distance : 497674 ft
Offline

Kaleel Posted at 2016-4-14 02:51
I've now upgraded the Inspire 1 RAW aircraft and RC but it still says I need to update the battery.  ...

Today a new firmware for the RAW has been released, seems should resolve the battery problem.

Here the link:

http://www.dji.com/product/inspire-1-pro-and-raw/info#downloads

and here the notes

Battery firmware is included in this firmware update. Update all Intelligent Flight Batteries by using this firmware.
Camera version v01.08.00.90 and aircraft version v01.08.01.00 should be displayed in DJI GO. The version will only display correctly in DJI GO after connecting to the Internet when upgrade is complete.
2016-4-13
Use props
Kaleel
lvl.1
Flight distance : 3724 ft
United Kingdom
Offline

Joko Posted at 2016-4-13 20:32
Today a new firmware for the RAW has been released, seems should resolve the battery problem.

He ...

Thanks Joko, I'll try that. Wow, don't DJI actually test these things before releasing them?!
2016-4-13
Use props
Kaleel
lvl.1
Flight distance : 3724 ft
United Kingdom
Offline

Ok cool that latest RAW .bin firmware correctly updated my battery as well as the aircraft. Now we have success!
2016-4-13
Use props
Kaleel
lvl.1
Flight distance : 3724 ft
United Kingdom
Offline

adelica Posted at 2016-4-8 10:39
That because X5R firmware miss battery update
Just take a look at firm. note; no mention of batter ...

They've updated the battery with a new RAW .bin: http://www.dji.com/product/inspire-1-pro-and-raw/info#downloads
2016-4-13
Use props
Farnk666
Captain
Flight distance : 1711394 ft
Australia
Offline

Just completed update to A/C and both RCs.
All went smoothly, however did have an issue with update to the 1st RC.
D/load was fine, upgrade stalled however about 1/2 way through.
Restarted RC and App, tried again and all is well.

Now re-calibrating IMU and RC's.

Fairly smooth U/Date this time around, but can see that people could get into trouble if they U/date RCs first.
2016-4-14
Use props
Donnie
Captain
Flight distance : 3636782 ft
United States
Offline

Kaleel Posted at 2016-4-13 15:24
Ok cool that latest RAW .bin firmware correctly updated my battery as well as the aircraft. Now we h ...

Your Avatar Looks like me when I see I I have 30 E-mails to answer and 10 forum Reminder's after a Firmware Update the Previous day.

Cheers- glad you have your system up and running- donnie
2016-4-14
Use props
Farnk666
Captain
Flight distance : 1711394 ft
Australia
Offline

So, headed out to the park for a post upgrade and Go app update shakedown flight session.
The app UI has been revised - settings and such have been re-organised so spend some time to familiarise yourselves.

P-GPS Forward flight still has a lateral drift to the side and vertical stability in turns is still an issue. Be ready to lose a few meters in curves and turns - not an issue if you're ready for it.

2016-4-15
Use props
alejandro
New

Costa Rica
Offline

Tim

Thanks for all your help. I just purchased the X5 and installed it to my Inspire ONE. I noticed that I was not able to update to 1.8.1.00 with the X5 camera since the camera was working just fine but when I started the Inspire with the X5 with the 1.8.1.00 bin file it didnt do a thing.. not even a log file was created on the SD card. I tried using the X3 camera to perform the update and it worked just fine but, the DJI Go app is telling me that the X5 was not updated when I installed back that camera. So I tried loading the installation bin file again but nothing not even the log file, I actually tried with 1.8.1.20 but that didnt work either. Is there a way to upload the X5 with the USB? I attach my versions on the DJI Go app System Versions
2016-4-15
Use props
MTShipp
lvl.3

United States
Offline

OK, first of all, the post from Mad_Angler1 saved my bacon (for now) and I am now able to access my bird. But I need help so see my story below!

I have not flown in nearly 2 months. Beautiful day so I charged up all of my batteries last night and went out first thing this morning.

The DJI app told me a FW update was required so I let it. Mistake #1
The app updated my RC and then hell was born. I no longer could connect to my bird (It is an original V1).
I visited DJI's site and saw there were (2) updates, the 1.7.0.90 and the 1.8.1.00. I figured newer the better so I download 1.8.1.00. Mistake #2
I pulled the micro SD out of the gimbal, plugged it up and extracted the new BIN to it and plugged it back into the gimbal. Powered on.
After about 1 minute of the D-D-D-D-D-D, there began a Duuuuu with a buzz like sound. I felt my heart sink. But I let it stay that way for a bit just in case. No good.
So, I powered off and checked the log on the root and in the hidden folder.  It said the FW was corrupt. Hmmm.
So I downloaded 1.7.0.90. Mistake #3.
Same steps, replaced .BIN on root of SD with new one, put back into the gimbal, powered on. Less than a minute of D-D-D-D-D-D then Duuuuu with a buzz like sound.

I got on here, found this thread, and that is when Mad-Angler1's post saved my bacon. Using the "press and hold Academy", the app allowed me to downgrade my RC from 1.6 back down to 1.5.8.

Communications restored!

But now, everytime I power on the bird, it tries to install the FW on the SD and then fails. The DJI keeps telling me a FW update is required.

But I am stuck!
I saw a post from Dudleypwright with step by step but it will not work for me.

Does anyone have ideas about getting the firmware to update on the bird?

I will refuse to send this back to DJI for "repair" and will scrap it and put it up for sale before I send it off for 6-8 weeks.

Thanks for your read and any help will be appreciated.

2016-4-16
Use props
gibson8305
lvl.1

United Kingdom
Offline

Hi Guys,

So attempting to update bird to 1.8 (will do rc after), but after updating and getting the (DDD,D,D) tone it still says in the app that the aircraft is 1.6.00.40  the RC is 1.5.80 and the camera is 1.7.00.90

I dont want to do anything I shouldn't so please advise..
2016-4-16
Use props
Lgpproducciones
lvl.4
Flight distance : 6143999 ft
  • >>>
Argentina
Offline

Finally and and a week after i install 1.7 i upgrated to 1.8 and finall firmware upgrade ... on my Inspire 1 Version 1
I have flown 7 times already and i have to said i miss the power i had before on versions 1.3.2 i do not knnow why they change max speed ?
Also now i have horizon problems ...... i have to adjust Roll axis all the time. I have never had thise problem befor with version 1.3.2 and 1.5 ....

Also noticed with new firmware that it does NOT maintain the attitude so good since i installed ...
2016-4-17
Use props
Donnie
Captain
Flight distance : 3636782 ft
United States
Offline

Lgpproducciones Posted at 2016-4-17 10:23
Finally and and a week after i install 1.7 i upgrated to 1.8 and finall firmware upgrade ... on my I ...

Make sure you do a IMU calibration , Compass and Camera as well.  when you do the IMU, make sure the Aircraft is perfectly level, after completing do the camera Gimbal immediately after.

This should help for sure.

donnie
2016-4-17
Use props
Donnie
Captain
Flight distance : 3636782 ft
United States
Offline

MTShipp Posted at 2016-4-16 16:22
OK, first of all, the post from Mad_Angler1 saved my bacon (for now) and I am now able to access my  ...

Make sure you have a formatted SD card  (* try a new one if necessary )  Make sure you are downloading the correct file for the Inspire 1 and you are not on the Pro page, even though the numbers look exactly alike.  Do not Use A MAC for Formatting the SD card and preferably Use a PC for loading the Proper Bin file to the aircraft.
Also if using an adapter on the SD card for the Download of 1.8 , get  a new one. These are often the source of the failure.  And you can also try another computer for the download.  Make sure after you look for the words "success " on the Sd card log.

good Luck-- donnie  
2016-4-17
Use props
Lgpproducciones
lvl.4
Flight distance : 6143999 ft
  • >>>
Argentina
Offline

Donnie Posted at 2016-4-17 23:27
Make sure you do a IMU calibration , Compass and Camera as well.  when you do the IMU, make sure t ...

THanks Donnie, yep, i do that every time i perform firmware upgrade ....
2016-4-17
Use props
MTShipp
lvl.3

United States
Offline

Donnie Posted at 2016-4-17 11:33
Make sure you have a formatted SD card  (* try a new one if necessary )  Make sure you are downloa ...

Thanks. I will try a different SD adapter.
2016-4-17
Use props
mcpointer
lvl.2

Offline

Tharg (from the Posted at 2016-4-7 22:32
The RC hasnt been updatable via USB for months! Do people ever read release notes???????

Do you see anywhere in the release notes where it tells you to update the aircraft before the RC. No you don't.  In fact if you read the notes they lead you to believe that you should update the RC and then move on tho the aircraft and battery.
2016-4-17
Use props
mcpointer
lvl.2

Offline

HI Tim...I have my RC on 1.6 and the aircraft on 1.4.  What steps should I take to rectify this?  Thanks.
2016-4-17
Use props
Topvisions Thai
lvl.4
Flight distance : 197431 ft
Thailand
Offline

After update lated  Firmware and APP. get dance flying  wind 23-25 km/hr. H.90 m. ????
2016-4-17
Use props
Tharg (from the
First Officer
Flight distance : 120784 ft
United Kingdom
Offline

mcpointer Posted at 2016-4-18 00:39
Do you see anywhere in the release notes where it tells you to update the aircraft before the RC.  ...

OK, given that reply I have to respectfully ask whether you possess the ability to read?

Perhaps go back, download the release notes once more and read them slowly to yourself or get someone to read them to you. They will probably make more sense of them.
Particularly pertinent is the bold font, first bullet point under 'Notes' appertaining to the most recent firmware release being v1.8.1.00 in this case.
Now perhaps you construe the sentence "Be sure to upgrade the aircraft before
upgrading the remote controller, otherwise the aircraft may not
able to exit Transport mode properly."
slightly differently to me but I would say that's reasonably clear.
2016-4-18
Use props
FlyGuy
Second Officer
Flight distance : 106483 ft
Belgium
Offline

I'm still using firmware1.5.00.30 so that's 2 versions back. I want to update to 1.7.0.90 and than update once more to the latest firmware. I do have a question. Should I update my Inspire and my batteries first and finally update my RC. I mean can I update the 2 versions to the Inspire and batteries before updating the Rc or should I update my bird to version 1.7, update my RC and than update the Inspire to the latest firmware and update the RC once more ? Or can I update straight away to the latest firmware ?
Confusing !
2016-4-18
Use props
Donnie
Captain
Flight distance : 3636782 ft
United States
Offline

FlyGuy Posted at 2016-4-18 11:42
I'm still using firmware1.5.00.30 so that's 2 versions back. I want to update to 1.7.0.90 and than u ...

Update everything at 1.8  ( Aircraft and Batteries ) Then update the RC.  And then from Now on stay on top of the Updates please.

Cheers- donnie
2016-4-19
Use props
1234Next >
Advanced
You need to log in before you can reply Login | Register now

Credit Rules